Android问题集锦之四十二:INSTALL_FAILED_OLDER_SDK

Android 同时被 2 个专栏收录
263 篇文章 0 订阅
60 篇文章 53 订阅

错误描述如下:

$ adb install ./app/build/outputs/apk/app-debug.apk
2999 KB/s (8256380 bytes in 2.688s)
        pkg: /data/local/tmp/app-debug.apk
Failure [INSTALL_FAILED_OLDER_SDK]

原因就是您设备的Android版本过低,app不支持。
改正的办法就是在程序的Manifest文件(或build.gradle)中将最低版本号调高。
Manifest中:

    <uses-sdk
        android:minSdkVersion="15"
        android:targetSdkVersion="17" />

build.gradle中:

    defaultConfig {
        applicationId "com.xxx.xxx"
        minSdkVersion 15
        targetSdkVersion 17
    }
  • 3
    点赞
  • 4
    评论
  • 3
    收藏
  • 一键三连
    一键三连
  • 扫一扫,分享海报

©️2021 CSDN 皮肤主题: 大白 设计师:CSDN官方博客 返回首页
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值